package handler

import (
	"api-cds-search/cmd/model"
	"api-cds-search/cmd/ui"
	"fmt"
	"net/http"
)

func GetCDSField(w http.ResponseWriter, r *http.Request) {
	CDSViewTechnicalName := r.URL.Query().Get("CDSViewTechnicalName")
	fields, err := model.GetCDSViewModelFields(CDSViewTechnicalName)
	if err != nil {
		fmt.Println(err)
		return
	}

	err = ui.Template.ExecuteTemplate(w, "fields", fields)
	if err != nil {
		fmt.Println(err)
		return
	}
}
